Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 291340 - Add LINK REL related toolbar buttons for common navigation elemements (first, last, prev, next)
: Add LINK REL related toolbar buttons for common navigation elemements (first,...
Product: Camino Graveyard
Classification: Graveyard
Component: Toolbars & Menus (show other bugs)
: unspecified
: PowerPC Mac OS X
: -- enhancement with 1 vote (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
Depends on:
  Show dependency treegraph
Reported: 2005-04-21 12:16 PDT by Chris Casciano
Modified: 2014-09-24 16:33 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Description Chris Casciano 2005-04-21 12:16:37 PDT
Under Customize Toolbar I thought it would be a worthwhile idea to add
additional context sensitive icons for LINK REL related navigation.

Mozilla has a toolbar that hids / shows based on the appearance of <link> items
in the head of a page, bt I don't like that behavior (either having a toolbar
that is always open but useless 95% of the time, or one that is hidden 95% of
the time, but can be forced open for only one oddball rel.)

Instead, I would think that a select set of icons to aid in the navigation of
datasets (like the photosets in the link, or found bugzilla bugs and bug
listings) could be added and placed on the toolbar by those individuals who
might have a use for them.

My initial set that i'd see useful would be:


Other values to consider, but that may be better covered in some type of context
menu instead of individual buttons:

I didn't see anyhting filed on either a toolbar or buttons aside from bug 204238
which I'm not quite sure is trying to for for link rel funtionality or an up
directory functionality.
Comment 1 Wevah 2005-04-22 03:25:25 PDT
I think this is a good idea; it's just a matter of someone getting around to
implementing it, I guess
Comment 2 charles.choi 2005-07-27 23:17:27 PDT
Would like to see support for LINK related navigation via a Mozilla-style site
navigation bar; disagree with the comment on the toolbar behavior of being open
and useful/less sometimes; that is really dependent on the website design and 
not that of the browser.  
Comment 3 Smokey Ardisson (offline for a while; not following bugs - do not email) 2007-11-14 11:56:05 PST
Mass-reassign of bugs still assigned to pinkerton to nobody; filter on "NoMoPinkBugsInCamino".
Comment 4 Phil Hagelberg 2008-07-01 10:50:06 PDT
This is one feature that Conkeror ( has that I really enjoy. Unfortunately since FF doesn't support it, not many sites have added this metadata, but it really improves usability.

See the Link Widgets extension for an implementation: I would love to see this rolled into FF core.
Comment 5 Smokey Ardisson (offline for a while; not following bugs - do not email) 2008-07-01 12:08:17 PDT
This is a Camino bug, not a Firefox bug. You should file a bug against Firefox if you've found no other duplicates in a search.
Comment 6 Gordon P. Hemsley [:GPHemsley] 2014-09-24 16:33:08 PDT
This bug has been buried in the graveyard and has not been updated in over 5 years. It is probably safe to assume that it will never be fixed, so resolving as WONTFIX.

[Mass-change filter: graveyard-wontfix-2014-09-24]

Note You need to log in before you can comment on or make changes to this bug.